This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 985789 - lua-json doesn't work with current lua-lpeg
lua-json doesn't work with current lua-lpeg
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lua-json (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 05:08 EDT by Olivier Andrieu
Modified: 2014-01-27 08:08 EST (History)
3 users (show)

See Also:
Fixed In Version: lua-json-1.3.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 08:08:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier Andrieu 2013-07-18 05:08:05 EDT
$ rpm -q lua-json lua-lpeg
lua-json-1.2.2-3.fc19.noarch
lua-lpeg-0.12-1.fc19.x86_64
$ lua -ljson
lua: /usr/share/lua/5.1/json/decode/strings.lua:90: loop body may accept empty string
stack traceback:
	[C]: ?
	/usr/share/lua/5.1/json/decode/strings.lua:90: in function 'buildCaptureString'
	/usr/share/lua/5.1/json/decode/strings.lua:111: in function 'buildCapture'
	/usr/share/lua/5.1/json/decode/strings.lua:126: in function 'load_types'
	/usr/share/lua/5.1/json/decode.lua:86: in function 'buildDecoder'
	/usr/share/lua/5.1/json/decode.lua:112: in main chunk
	[C]: in function 'require'
	/usr/share/lua/5.1/json.lua:5: in main chunk
	[C]: ?
	[C]: ?

lua-json must be upgraded to a newer version !


luajson v1.3.2 Release Notes
============================

User Visible Changes
--------------------
One of the main changes in this release is compatibility with LPeg 0.12 and …
Comment 1 Thomas Harning Jr 2013-07-25 09:25:37 EDT
An additional detail, lua-lpeg-0.10.2 as shipped with Fedora 19 should work. It is just the update to lua-lpeg-0.12 that broke the system.
Comment 2 Ademar 2014-01-11 12:35:34 EST
I'm getting the same problem:

[root@erika nginx]# rpm -q lua-json lua-lpeg
lua-json-1.2.2-3.fc19.noarch
lua-lpeg-0.12-1.fc19.i686

[root@erika nginx]# lua -ljson
lua: /usr/share/lua/5.1/json/decode/strings.lua:90: loop body may accept empty string
stack traceback:
	[C]: ?
	/usr/share/lua/5.1/json/decode/strings.lua:90: in function 'buildCaptureString'
	/usr/share/lua/5.1/json/decode/strings.lua:111: in function 'buildCapture'
	/usr/share/lua/5.1/json/decode/strings.lua:126: in function 'load_types'
	/usr/share/lua/5.1/json/decode.lua:86: in function 'buildDecoder'
	/usr/share/lua/5.1/json/decode.lua:112: in main chunk
	[C]: in function 'require'
	/usr/share/lua/5.1/json.lua:5: in main chunk
	[C]: ?
	[C]: ?

in addtional my distro infos
(Linux erika 3.11.6-201.fc19.i686 #1 SMP Sat Nov 2 14:51:59 UTC 2013 i686 i686 i386 GNU/Linux)
Comment 3 Ademar 2014-01-11 13:01:36 EST
I'm solve just updating my luajson library:

[ademar@erika ademar]$ luarocks new_version luajson
Wrote luajson-1.3.2-2.rockspec

[ademar@erika ademar]$ su -c 'luarocks install luajson-1.3.2-2.rockspec'

[ademar@erika ademar]$ lua -ljson
Lua 5.1.4  Copyright (C) 1994-2008 Lua.org, PUC-Rio
> 

is shows that the bug is at version "lua-json-1.2.2-3".
Comment 4 Fedora Update System 2014-01-17 21:48:22 EST
lua-json-1.3.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lua-json-1.3.2-2.fc19
Comment 5 Fedora Update System 2014-01-18 23:08:22 EST
Package lua-json-1.3.2-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lua-json-1.3.2-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1135/lua-json-1.3.2-2.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-01-27 08:08:59 EST
lua-json-1.3.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.